import { serve } from "https://deno.land/std@0.160.0/http/server.ts";

const server = `Server: ${Math.floor(10000 * Math.random())}`;

const handleRequest = (request) => {
  const url = new URL(request.url);
  return new Response(`${server} -- requested path ${url.pathname}`, { status: 200 });
};

await serve(handleRequest, { port: 7777 });